For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create login links

Create temporary auto-login links for the specified WordPress installation.

Create login links

post

Create temporary auto-login links for the specified WordPress installation.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Responses
200

Success response

application/json
loginstring · nullableOptional

Primary auto-login URL for the WordPress installation

Example: https://example.com/create_autologin_qs1s121s.php
fallbackstring · nullableOptional

Fallback auto-login URL using the temporary Hostinger domain

Example: https://xyz.hostingersite.com/create_autologin_qs1s121s.php
defaultstring · nullableOptional

Default WordPress admin URL used when auto-login is unavailable

Example: https://example.com/wp-admin/
post/api/hosting/v1/accounts/{username}/wordpress/{software}/login/links
POST /api/hosting/v1/accounts/{username}/wordpress/{software}/login/links HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "login": "https://example.com/create_autologin_qs1s121s.php",
  "fallback": "https://xyz.hostingersite.com/create_autologin_qs1s121s.php",
  "default": "https://example.com/wp-admin/"
}

Last updated

Was this helpful?